Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface JTATransaction

public interface JTATransaction
extends java.io.Serializable

This class represents information about a live transaction.

Method Summary
`java.lang.String` | `getName()` Returns the name of the transaction.
`java.util.Map` | `getResourceNamesAndStatus()` Returns a collection of participating resource names and their status for the transaction.
`int` | `getSecondsActiveCurrentCount()` Returns the time in seconds for which the transaction has been active.
`java.lang.String[]` | `getServers()` Returns the participant servers for the transaction.
`java.lang.String` | `getStatus()` Returns a string representation of the transaction's status.
`java.util.Map` | `getUserProperties()` Returns the user-defined properties associated with the transaction.
`javax.transaction.xa.Xid` | `getXid()` Returns a string representation of the transaction ID.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the transaction.

### getXid

    public javax.transaction.xa.Xid getXid()

  Returns a string representation of the transaction ID.

### getStatus

    public java.lang.String getStatus()

  Returns a string representation of the transaction's status.

### getUserProperties

    public java.util.Map getUserProperties()

  Returns the user-defined properties associated with the transaction.

### getSecondsActiveCurrentCount

    public int getSecondsActiveCurrentCount()

  Returns the time in seconds for which the transaction has been active.

### getServers

    public java.lang.String[] getServers()

  Returns the participant servers for the transaction.

### getResourceNamesAndStatus

    public java.util.Map getResourceNamesAndStatus()

  Returns a collection of participating resource names and their status for the transaction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference